import _extends from "@babel/runtime/helpers/esm/extends";
import partial from 'lodash.partial';
import { as } from './as';
import { setSecretsManager, withSecretsManager } from './with-secrets-manager';
import { makeTestEnvironment } from './make-test-environment';
import { shouldReturn } from './should-return';
import { not } from './not';
export var query = function query(readModelContext, resolver, args) {
  var query = {
    resolver: resolver,
    args: args
  };

  var context = _extends({}, readModelContext, {
    query: query,
    environment: makeTestEnvironment(_extends({}, readModelContext, {
      query: query
    }))
  });

  return Object.assign(context.environment.promise, {
    as: partial(as, context),
    withSecretsManager: partial(withSecretsManager, context),
    setSecretsManager: partial(setSecretsManager, context),
    shouldReturn: partial(shouldReturn, context),
    not: partial(not, context)
  });
};
//# sourceMappingURL=query.js.map