import _extends from "@babel/runtime/helpers/esm/extends";
import partial from 'lodash.partial';
import { makeAssertions } from './make-assertions';
import { withAdapter } from './with-adapter';
import { withEncryption } from './with-encryption';
import { withSecretsManager } from './with-secrets-manager';
import { allowSideEffects } from './allow-side-effects';
import { startSideEffectsFrom } from './start-side-effects-from';
import { makeTestEnvironment } from './make-test-environment';
export var saga = function saga(givenEventsContext, _saga) {
  var context = _extends({}, givenEventsContext, {
    saga: _saga,
    environment: makeTestEnvironment(_extends({}, givenEventsContext, {
      saga: _saga
    }))
  }); // FIXME: deprecated


  if (_saga.adapter != null) {
    // eslint-disable-next-line no-console
    console.warn("'adapter' property of read model deprecated, use 'withAdapter' selector instead.");
    withAdapter(context, _saga.adapter);
  } // FIXME: deprecated


  if (_saga.encryption != null) {
    // eslint-disable-next-line no-console
    console.warn("'encryption' property of read model deprecated, use 'withEncryption' selector instead.");
    withEncryption(context, _saga.encryption);
  }

  return Object.assign(makeAssertions(context), {
    withAdapter: partial(withAdapter, context),
    withEncryption: partial(withEncryption, context),
    withSecretsManager: partial(withSecretsManager, context),
    allowSideEffects: partial(allowSideEffects, context),
    startSideEffectsFrom: partial(startSideEffectsFrom, context)
  });
};
//# sourceMappingURL=saga.js.map