import _extends from "@babel/runtime/helpers/esm/extends";
export var prepareEvents = function prepareEvents(events, context) {
  var timestamp = Date.now() + 60 * 1000;
  var aggregateVersionsMap = new Map();
  return events.map(function (testEvent) {
    var aggregateId = testEvent.aggregateId != null ? testEvent.aggregateId : context == null ? void 0 : context.aggregateId;
    var aggregateVersion = aggregateVersionsMap.has(aggregateId) ? aggregateVersionsMap.get(aggregateId) + 1 : 1;

    var event = _extends({}, testEvent, {
      aggregateId: aggregateId,
      aggregateVersion: aggregateVersion,
      timestamp: timestamp++
    });

    aggregateVersionsMap.set(aggregateId, aggregateVersion);
    return event;
  });
};
//# sourceMappingURL=prepare-events.js.map