"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.shouldExecuteQuery = void 0;

var _lodash = _interopRequireDefault(require("lodash.isequal"));

var _makeAssertions = require("./make-assertions");

var _format = require("../../utils/format");

var shouldExecuteQuery = function shouldExecuteQuery(context, query) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Assertion cannot be assigned if the test was executed.");
  }

  environment.addAssertion(function (resolve, reject, result, error) {
    if (error) {
      return reject(new Error("expected a value, but received an error " + error));
    }

    var index = result ? result.queries.findIndex(function (executed) {
      return (0, _lodash["default"])(executed, query);
    }) : -1;

    if (index >= 0) {
      return resolve(result);
    }

    return reject(new Error((0, _format.stringifyShouldExecuteQueryFailure)(query, result.queries)));
  });
  return (0, _makeAssertions.makeAssertions)(context);
};

exports.shouldExecuteQuery = shouldExecuteQuery;
//# sourceMappingURL=should-execute-query.js.map